=== src/libs/CMakeLists.txt ===
add_subdirectory(3rdparty)

add_subdirectory(advanceddockingsystem)
add_subdirectory(aggregation)
add_subdirectory(extensionsystem)
add_subdirectory(utils)
add_subdirectory(languageutils)
add_subdirectory(cplusplus)
add_subdirectory(modelinglib)
add_subdirectory(qmljs)
add_subdirectory(qmldebug)
add_subdirectory(qmleditorwidgets)
add_subdirectory(glsl)
add_subdirectory(languageserverprotocol)
add_subdirectory(ssh)
add_subdirectory(sqlite)
add_subdirectory(clangsupport)
add_subdirectory(tracing)

add_subdirectory(qtcreatorcdbext)
