=== debian/changelog ===
qtcreator (4.14.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_cmake-build-Fix-fallback-LLVM-Clang-paths.patch: drop,
      backported from upstream
    - upstream_cmake-build-Use-GNUInstallDirs-for-installation-path.patch:
      drop, backported from upstream
    - upstream_cmake-build-Don-t-install-highlighting-files-when-us.patch:
      drop, backported from upstream
  * Use execute_after_dh_auto_install, and execute_after_dh_install to avoid
    invoking dh_auto_install, and dh_install manually.
  * Limit the dh bits for installing the upstream changelogs to -indep packages
    only.

 -- Pino Toscano <pino@debian.org>  Fri, 26 Feb 2021 10:37:39 +0100
